eqonomize (1.4.3-1) unstable; urgency=medium

  * New maintainer. (Closes: #744738)
  * New upstream release.
    (LP: #119591, #479039, #502391, #519075, #633286, #1806727)
  * debian/control:
      - Added qttools5-dev-tools to Build-Depends field in source stanza to
        enable the build of translation files.
      - Added Rules-Requires-Root field to source stanza.
      - Bumped DH level to 13.
      - Bumped Standards-Version to 4.5.0.
      - Removed docbook2x and docbook-xml from Build-Depends field, in source
        stanza, not needed anymore since we're using a different method to
        generate the manpage.
      - Reorganized long description in package stanzas.
  * debian/copyright: updated all data.
  * debian/eqonomize.docs: included README.md and TODO since there's useful
    information to users.
  * debian/eqonomize.manpages: updated.
  * debian/manpages/:
      - create-man.sh: created to make the manpage from the .txt source file.
      - eqonomize.txt: created to provide the source to the manpage.
      - eqonomize.xml: removed. Using .txt as the manpage source now.
  * debian/patches/:
      - Patch renamed to follow a new numeric prefix system.
      - 020-add-desktop-entry-keywords.patch: added.
      - 030-enable-pt-br-translation.patch: added to enable the build of the
        pt_BR translation file.
  * debian/source/lintian-overrides: added to inform the manpage created was
    forwarded to upstream.
  * debian/rules:
      - Added override_dh_auto_configure and override_dh_auto_clean to enable
        the building of translation files.
      - Removed unnecessary DEB_LDFLAGS_MAINT_APPEND flags.
      - Removed unnecessary override_dh_auto_build, using different method to
        generate the manpage now.
      - Removed unnecessary override_dh_clean.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/control: created to perform a trivial CI test.
  * debian/upstream/:
      - io.github.eqonomize.metainfo.xml: created to make available an
        AppStream metadata. Consequently:
           ~ debian/copyright: added a licensing for new file.
           ~ debian/eqonomize.install: included the new file to install on
             /usr/share/metainfo.
      - metadata: created.

 -- Fabio Augusto De Muzio Tobich <ftobich@gmail.com>  Fri, 17 Jul 2020 14:00:24 -0300

eqonomize (1.4.2-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Fabian Wolff <fabi.wolff@arcor.de>  Sat, 14 Sep 2019 14:53:20 +0200

eqonomize (1.4.1-1) unstable; urgency=medium

  * QA upload.

  [ Ondřej Nový ]
  * d/control: Fix wrong Vcs-*

  [ Fabian Wolff ]
  * New upstream release.
  * Upgrade to Standards-Version 4.4.0 (no changes).
  * Upgrade to debhelper compat level 12.
  * Update debian/copyright.

 -- Fabian Wolff <fabi.wolff@arcor.de>  Mon, 26 Aug 2019 00:37:56 +0200

eqonomize (1.3.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Update patches:
     - Delete 00-rm-encoding-from-desktop-file.patch (fixed upstream).
     - Delete 02-bump-doctype-version.patch (fixed upstream).
     - Delete 03-fix-spelling.patch (fixed upstream).
     - Rename 01-fix-ftbfs-with-gcc4.3.patch to 00-fix-ftbfs-[...].
  * Upgrade to Standards-Version 4.2.1 (no changes).

 -- Fabian Wolff <fabi.wolff@arcor.de>  Sat, 01 Sep 2018 15:46:34 +0200

eqonomize (1.2.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Build with Qt 5 (Closes: #874860).
  * Remove eqonomize-doc's recommendation of khelpcenter4 (Closes: #886536).
  * Update Homepage field in debian/control.
  * Update debian/copyright.
  * Update debian/watch.
  * Update eqonomize[-doc].install files (Closes: #875530).
  * Upgrade to debhelper compat level 11.
  * Upgrade to Standards-Version 4.1.3 in debian/control (no changes).
  * Update patches.
  * Enable hardening flags in debian/rules.
  * Add doc-base registration file for eqonomize-doc.
  * Add 03-fix-spelling.patch.
  * Update Vcs-Git and Vcs-Browser fields in debian/control.
  * Mark eqonomize-doc as Multi-Arch: foreign.

 -- Fabian Wolff <fabi.wolff@arcor.de>  Mon, 02 Apr 2018 14:43:28 +0200

eqonomize (0.6-8) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group.
  * Drop menu file and its pixmaps, since eqonomize already provides a
    .desktop file.
  * Rewrite rules to use the dh sequencer with compat 9:
    - bump the debhelper build dependency to >= 9
    - bump compat to 9
    - use the kde dh addon, adding the pkg-kde-tools build dependency for it
    - tweak eqonomize.install to avoid copying&removing the documentation
  * Update Vcs-* fields.
  * Enable parallel build.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Convert copyright to copyright-format v1.0, and fix it.

 -- Pino Toscano <pino@debian.org>  Thu, 07 Jul 2016 08:28:31 +0200

eqonomize (0.6-7) unstable; urgency=low

  * debian/rules: Added build-{arch,indep} targets as Lintian recommends.

 -- Frank S. Thomas <fst@debian.org>  Mon, 05 Sep 2011 22:34:07 +0200

eqonomize (0.6-6) unstable; urgency=low

  * debian/patches/: Added 204_bump_doctype_version.patch to fix FTBFS
    with kdoctools 4.6. Patch taken from kdesvn. (closes: #628327)
  * Bumped Standards-Version from 3.8.4 to 3.9.2, no changes required.

 -- Frank S. Thomas <fst@debian.org>  Sun, 29 May 2011 10:07:37 +0200

eqonomize (0.6-5) unstable; urgency=low

  * Update location of KDE 4 HTML documentation. (closes: #584158)
  * Switched to source format "3.0 (quilt)".
  * Bumped Standards-Version from 3.8.3 to 3.8.4, no changes required.

 -- Frank S. Thomas <fst@debian.org>  Thu, 03 Jun 2010 15:21:01 +0200

eqonomize (0.6-4) unstable; urgency=low

  * debian/copyright: Refer to the versioned license files.
  * debian/patches/: Added 203_fix_typo_in_desktop_file.patch.
    (closes: #550040)
  * debian/control: Bumped Standards-Version from 3.8.1 to 3.8.3, no changes
    required.

 -- Frank S. Thomas <fst@debian.org>  Sat, 10 Oct 2009 13:22:35 +0200

eqonomize (0.6-3) unstable; urgency=low

  * debian/manpages/eqonomize.xml: Updated from DocBook 4.4 to 4.5, which is
    the latest version in Lenny.
  * debian/control: Bumped Standards-Version from 3.8.0 to 3.8.1, no changes
    required.
  * Use dh's override feature and quilt's new debhelper addon to further
    simplify debian/rules. Bumped the build-dependencies of debhelper to
    (>= 7.0.50) and of quilt to (>= 0.46-7) for this change.

 -- Frank S. Thomas <fst@debian.org>  Sun, 24 May 2009 11:32:36 +0200

eqonomize (0.6-2) unstable; urgency=low

  * Upload to unstable.
  * debian/patches/: Added descriptions to patch files.

 -- Frank S. Thomas <fst@debian.org>  Wed, 18 Feb 2009 18:03:50 +0100

eqonomize (0.6-1) experimental; urgency=low

  * New upstream release.
  * debian/patches:
    - Removed 101_dont_crash_at_concurrent_transactions.patch.
    - Removed 102_save_weekly_recurrences_properly.patch.
    - Refreshed 202_fix_ftbfs_with_gcc4.3.patch.
  * debian/control:
    - Replaced autotools build-dependencies by cmake and kdelibs4-dev by
      kdelibs5-dev.
    - Added ${misc:Depends} to the packages' Depends field to appease Lintian.
  * Updated debian/rules and debian/*.install for the new build system.
  * debian/copyright: Updated for the new release.

 -- Frank S. Thomas <fst@debian.org>  Thu, 25 Dec 2008 11:12:33 +0100

eqonomize (0.5-7) unstable; urgency=low

  * debian/rules:
    - Do not make build-stamp a phony target by having a phony target as
      prerequisite. This prevents that configure is invoked twice.
    - Do not clean *-stamp files by hand since debhelper V7 does this for us.

 -- Frank S. Thomas <fst@debian.org>  Thu, 17 Jul 2008 08:27:55 +0200

eqonomize (0.5-6) unstable; urgency=low

  * debian/manpages/eqonomize.xml: Fixed the hyphen-used-as-minus-sign issue
    that Lintian reported.
  * debian/control:
    - Updated Vcs fields since eqonomize is now maintained in Git.
    - Bumped Standards-Version from 3.7.3 to 3.8.0, no changes required.
  * debian/copyright: Rewrote it in the machine-interpretable format which is
    specified in http://wiki.debian.org/Proposals/CopyrightFormat.
  * Switched from CDBS to debhelper 7.
  * Use quilt for patch management and added a corresponding
    debian/README.source file.
  * debian/patches/101_dont_crash_at_concurrent_transactions.patch: Added from
    upstream's CVS repository so that Eqonomize! does not crash if planned
    transactions occur on the same date. (closes: #487618)

 -- Frank S. Thomas <fst@debian.org>  Mon, 23 Jun 2008 19:44:31 +0200

eqonomize (0.5-5) unstable; urgency=low

  * src/eqonomize.desktop: Removed the deprecated Encoding key. Refer to
    http://standards.freedesktop.org/desktop-entry-spec/1.0/apc.html for
    details.
  * debian/manpages/eqonomize.xml: Updated from DocBook 4.2 to 4.4, which is
    the latest version in etch.
  * debian/rules: Run the autotools in the autoreconf-stamp target instead of
    CDBS' post-patches target to avoid that configure runs twice. Refer to
    #462382 for details.

 -- Frank S. Thomas <fst@debian.org>  Thu, 14 Feb 2008 13:27:23 +0100

eqonomize (0.5-4) unstable; urgency=low

  * src/recurrence.cpp: Applied patch from upstream's bug tracker to save
    weekly recurrences properly. (closes: #457893)

 -- Frank S. Thomas <fst@debian.org>  Thu, 27 Dec 2007 08:52:54 +0100

eqonomize (0.5-3) unstable; urgency=low

  * src/budget.h: Explicitly include the <sys/types.h> header which defines
    mode_t. This fixes a FTBFS with GCC 4.3. Thanks to Martin Michlmayr for
    the bug report. (closes: #455660)

 -- Frank S. Thomas <fst@debian.org>  Tue, 11 Dec 2007 09:40:07 +0100

eqonomize (0.5-2) unstable; urgency=low

  * debian/eqonomize.menu: Changed section for the new menu hierarchy from
    "Apps/Tools" to "Applications/Office".
  * debian/control:
    - Moved Homepage pseudo field in the long descriptions to the source
      stanza because this is now a propper control field supported by dpkg.
    - Bumped Standards-Version from 3.7.2 to 3.7.3, the only change required
      for the bump is the new section in eqonomize's menu file (see above).
    - Changed my maintainer address to fst@debian.org.

 -- Frank S. Thomas <fst@debian.org>  Wed, 05 Dec 2007 02:03:33 +0100

eqonomize (0.5-1) unstable; urgency=low

  * New upstream release.

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Sun, 17 Jun 2007 14:21:21 +0200

eqonomize (0.4-1) unstable; urgency=low

  * New upstream release.
  * Updated libtool scripts to prune unnecessary library dependencies.
  * debian/copyright: Removed full text of the GFDL 1.2 and added pointer to
    /usr/share/common-licenses/GFDL-1.2.
  * Added debian/examples/housekeeping_book.eqz which demonstrates the very
    basic features of Eqonomize! and install it as example in the eqonomize
    package.
  * debian/manpages/eqonomize.xml:
    - Made <ulinks> elements empty if their content was the same as the
      content of their url attributes.
    - Removed &lt; and &gt; from <email> elements because docbook2x-man adds
      those now itself.
  * Initial upload to Debian. (closes: #386816)

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Sun, 20 May 2007 10:59:46 +0200

eqonomize (0.3-1) unstable; urgency=low

  * Initial release.
  * Updated admin/cvs.sh to support autoconf-2.6.

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Tue, 15 Aug 2006 15:21:57 +0200
